/*
 * Derived from Epic Fight (https://github.com/Epic-Fight/epicfight)
 * by the Epic Fight Team, licensed under GPLv3.
 * Modifications © 2026 TiedUp! Remake Contributors, distributed under GPLv3.
 */

package com.tiedup.remake.rig.util.datastruct;

import net.minecraft.core.IdMapper;

public class ClearableIdMapper<I> extends IdMapper<I> {
	public ClearableIdMapper() {
		super(512);
	}
	
	public ClearableIdMapper(int size) {
		super(size);
	}
	
	public void clear() {
		this.tToId.clear();
		this.idToT.clear();
		this.nextId = 0;
	}
}
